Apache log4cxx Version @version@

Public Member Functions | Static Public Member Functions | List of all members
ObjectPtrBase Class Referenceabstract

`#include <objectptr.h>`

Inheritance diagram for ObjectPtrBase:

## Public Member Functions
| ObjectPtrBase ()
virtual | ~ObjectPtrBase ()
virtual void * | cast (const Class &cls) const =0

## Static Public Member Functions
static void | checkNull (const int &null)
static void * | exchange (void **destination, void *newValue)

## Constructor & Destructor Documentation

## ◆ ObjectPtrBase()

ObjectPtrBase | ( |  | ) |

## ◆ ~ObjectPtrBase()

virtual ~ObjectPtrBase | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ cast()

virtual void * cast | ( | const Class & | cls | ) | const
| pure virtual

## ◆ checkNull()

static void checkNull | ( | const int & | null | ) |
| static

## ◆ exchange()

static void * exchange | ( | void ** | destination,
|  | void * | newValue
| ) |  |
| static

The documentation for this class was generated from the following file:

- objectptr.h